:root {
  --content-width: 65rem;
  --swiper-theme-color: #000;
  --swiper-navigation-size: 2rem;
  --primary-color: #000;
  --secondary-color: #eee;
}

*,
*:after,
*:before{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: "WorkAvec";
  src: url("../fonts/workavec-medium-webfont.ttf") format("ttf"),
       url("../fonts/workavec-medium-webfont.woff") format("woff");
  font-weight: normal;
}

@font-face {
  font-family: "WorkAvec";
  src: url("../fonts/workavec-semibold-webfont.ttf") format("ttf"),
       url("../fonts/workavec-semibold-webfont.woff") format("woff");
  font-weight: bold;
}

@font-face {
  font-family: "WorkAvec";
  src: url("../fonts/WorkSans-MediumItalic.ttf") format("ttf"),
       url("../fonts/WorkSans-MediumItalic.woff") format("woff");
  font-weight: normal;
  font-style: italic;
}

@font-face {
  font-family: "WorkAvec";
  src: url("../fonts/WorkSans-SemiBoldItalic.ttf") format("ttf"),
       url("../fonts/WorkSans-SemiBoldItalic.woff") format("woff");
  font-weight: bold;
  font-style: italic;
}

a:focus {
  outline: 0;
}

html {
  font-family: "WorkAvec", sans-serif;
}

h1 {
  font-size: 2rem;
  line-height: 1.3;
  text-transform: lowercase;
  margin-bottom: 2rem;
}

h2 {
  font-size: 2rem;
  line-height: 1.3;
  text-transform: lowercase;
}

h3 {
  font-size: 1.5rem;
  line-height: 1.3;
  text-transform: uppercase;
}

h4 {
  font-size: 1.5rem;
  line-height: 1.3;
  text-transform: lowercase;
}

h5 {
  font-weight: normal;
  font-size: 1.2rem;
  line-height: 1.3;
  text-transform: lowercase;
}

p {
  font-size: 1.2rem;
  margin-bottom: 1.5rem;
}

li {
  list-style: none;
}

a {
  color: currentColor;
  text-decoration: none;
}

strong, b {
  font-weight: 700;
}

img {
  width: 100%;
  height: auto;
}

html, body {
  background-color: var(--secondary-color);
  color: var(--primary-color);
}

.header {
  display: flex;
  padding: 1.5rem;
  align-items: center;
  height: 6rem;
  text-transform: lowercase;
}

.header .logo {
  flex: 1;
}

.header .logo a {
  width: 15rem;
  display: block;
}

.header .logo .bonus {
  width: auto;
}

.header .logo img {
  width: 100%;
}

.header .logo path {
  fill: var(--primary-color);
}


.header .menu {
  display: flex;
  letter-spacing: 0.5pt;
  font-size: 1.2rem;
}

.header .menu a {
  display: block;
  border: .1rem solid transparent;
  border-radius: 50%;
  padding: .75rem 1.5rem;
  position: relative;
}

.header .menu a.active::after {
  content: ' ';
  mask-image: url('.././images/cercle01.png');
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
  mask-position: center;
  -webkit-mask-image: url('.././images/cercle01.png');
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: 100% 100%;
  -webkit-mask-position: center;
  background: var(--primary-color);

  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

.footer {
  padding-top: 1.6rem;
  margin: 1.5rem 1.5rem 0 1.5rem;
}

.footer .column:last-child {
  text-align: right;
}

.footer p {
  font-size: .8rem;
  line-height: 1.5;
  margin-bottom: 1.2rem;
}

img {
  display: block;
}

figure {
  margin-bottom: 1.5rem;
  position: relative;
}

figcaption {
  margin-top: .5rem;
  font-size: 1.2rem;
}

audio {
  border-radius: 2rem;
}

.table p {
  font-size: 0.8rem;
  margin: 0;
}

.table ul {
  font-size: 0.7rem;
  font-weight: normal;
}

.table ul li {
  border-bottom: .1rem solid;
  padding: 0.3rem 0;
  display: grid;
  grid-template-columns: 1fr 2fr;
  grid-gap: 1rem;
}

.table ul li:first-child {
border-top: .1rem solid;
}

.table ul li span:last-child {
  font-weight: bold;
}

.photo-wrapper {
  background-color: var(--primary-color)
}

/* COLUMNS */
.columns {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin-left: -.75rem;
  margin-right: -.75rem;
}

.column {
  flex: 0 1 100%;
  margin-left: .75rem;
  margin-right: .75rem;
  max-width: 100%;
}

.column-gap-large {
  margin-left: -2.5rem;
  margin-right: -2.5rem;
}

.column-gap-large .column {
  margin-left: 2.5rem;
  margin-right: 2.5rem;
}

@media (min-width: 790px) {
  .column {
    flex: 1;
  }
}

/* BOUTONS */
.text .bouton {
  padding: 1.5rem 2rem;
  text-align: center;
  display: inline-block;
  max-width: 20rem;
  position: relative;
  color: var(--secondary-color);
  z-index: 1;
  text-decoration: none;
}

.text .bouton::after {
  content: ' ';

  mask-image: url('.././images/cercle04plein.png');
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
  mask-position: center;
  -webkit-mask-image: url('.././images/cercle04plein.png');
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: 100% 100%;
  -webkit-mask-position: center;
  background: var(--primary-color);

  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: -1;
}

.text .bouton.discret {
  color: inherit;
}

.text .bouton.discret::after {
  mask-image: url('.././images/cercle04.png');
  -webkit-mask-image: url('.././images/cercle04.png');
}

.text .exergue p {
    font-size: 1rem;
    margin-bottom: 1.5rem;
}

/* BONUS */
.bonus {
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
  mask-position: center;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: 100% 100%;
  -webkit-mask-position: center;
  background: var(--primary-color);
  width: 15rem;
}
.bonus img {
  visibility: hidden;
}

/* SOULIGNEMENTS */
.souligne {
  position: relative;
  z-index: 1;
}

.souligne::after {
  content: ' ';

  mask-image: url('.././images/ligne01.png');
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
  mask-position: center;
  -webkit-mask-image: url('.././images/ligne01.png');
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: 100% 100%;
  -webkit-mask-position: center;
  background: var(--primary-color);

  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: .5rem;
  z-index: -1;
}

/* SURLIGNEMENT */
.surligne {
  position: relative;
  z-index: 1;
}

.surligne::before {
  content: ' ';

  mask-image: url('.././images/ligne01.png');
  mask-repeat: no-repeat;
  mask-size: 100% 100%;
  mask-position: center;
  -webkit-mask-image: url('.././images/ligne01.png');
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: 100% 100%;
  -webkit-mask-position: center;
  background: var(--primary-color);

  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: .5rem;
  z-index: -1;
}

/* STRUCTURE */
main {
  margin: 0 1.5rem;
  padding-top: 4.5rem;
  position: relative;
}

.sidebar-left {
  min-width: 20rem;
}

.main-container {
  flex-basis: 47rem;
  max-width: 47rem;
}


/* PAGE */
.text {
  max-width: 47rem;
  font-size: 1.2rem;
}

.text a {
  text-decoration: underline;
}

.text p,
.text ul {
  margin-bottom: 1.5rem;
}

.text > figure,
.text > iframe {
  margin: 3rem 0;
}

.text > *:first-child {
  margin-top: 0;
}

.text iframe {
  width: 100% !important;
}

.text .column figure {
  margin-bottom: 1.5rem;
}

.text .dessin {
  mask-repeat: no-repeat;
  mask-size: contain;
  mask-position: center;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: contain;
  -webkit-mask-position: center;
  background: var(--primary-color);
}

/* VIDEO */
.video-wrapper,
figure.video {
  padding-bottom: 56.25%;
  position: relative;
  background-color: var(--primary-color)
}

.video-wrapper iframe,
figure.video iframe {
  position: absolute;
  width: 100%;
  height: 100%;
  border: none;
}

.text figure.videolazy::before {
  content: '\f04b';
  position: absolute;
  top: 50%;
  left: 50%;
  font-family: 'fontawesome';
  font-size: 7rem;
  transform: translate(-50%, -50%);
  text-shadow: 0rem 0rem 1rem rgba(0,0,0,0.5);
  color: #eee;
  pointer-events: none;
  transition: all .2s;
}
.text figure.videolazy:hover::before {
  color: #fff;
}

.videolazy .medium-zoom-image {
  cursor: pointer;
}

/* TABLE */

table {
  width: 100%;
  border-collapse: collapse;
  table-layout: fixed;
}

th, td {
  text-align: left;
  vertical-align: top;
  padding: .3rem;
  position: relative;
  white-space: nowrap;
}

.ellipsis {
  overflow: hidden;
  text-overflow: ellipsis;
}

tr {
  padding: 1rem 0;
}

tr.creation {
  font-weight: bold;
}

td:last-child, th:last-child {
  padding-right: 0;
  width: 14.5%;
  text-align: right;
}

td:first-child, th:first-child {
  padding-left: 0;
  width: 14.5%;
}

td.year {
  text-align: left;
  padding: 0;
}

.year h4 {
  margin: 1rem 0;
  padding-bottom: 1rem;
}

table tr:first-child .year h4 {
  margin-top: 0;
}

table .buttons {
  text-align: right;
  height: 1rem;
}

table .button {
  display: inline-block;
  width: 1.5rem;
  height: 1.5rem;
  margin-top: -.25rem;
  margin-left: .25rem;
  position: relative;
}

table .button::after {
  content: ' ';

  mask-repeat: no-repeat;
  mask-size: 100% 100%;
  mask-position: center;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-size: 100% 100%;
  -webkit-mask-position: center;
  background: var(--primary-color);

  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

table .button.creation::after {
  mask-image: url('.././images/icone-creation.png');
  -webkit-mask-image: url('.././images/icone-creation.png');
}

table .button.festival::after {
  mask-image: url('.././images/icone-festival.png');
  -webkit-mask-image: url('.././images/icone-festival.png');
}

table .button.lien::after {
  mask-image: url('.././images/icone-lien.png');
  -webkit-mask-image: url('.././images/icone-lien.png');
}

table .button span {
  position: absolute;
  z-index: 9;
  background: var(--primary-color);
  color: var(--secondary-color);
  font-size: 1rem;
  line-height: 1.5;
  white-space: nowrap;
  padding: 0.1rem .5rem;
  left: 50%;
  bottom: 100%;
  transform: translateX(-50%);
  margin-bottom: .7rem;
  font-weight: normal;
  display: none;
}

table .button span::after {
  content: ' ';
  width: 0;
  height: 0;
  border-left: .5rem solid transparent;
  border-right: .5rem solid transparent;
  border-top: .5rem solid var(--primary-color);
  bottom: 0;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 98%);
}

table .button:hover span {
  display: block;
}

/* Diaporama */

.album {
  overflow: hidden;
  margin-top: 5rem;
}

.swiper-button-prev, .swiper-button-next {
  top: 0;
  height: 100%;
  width: 50%;
  margin: 0;
  padding: 1rem;
}

.swiper-button-prev {
  left: 0;
  right: auto;
  justify-content: flex-start;
}

.swiper-button-next {
  right: 0;
  left: auto;
  justify-content: flex-end;
}

.swiper-wrapper figure {
  margin: 0;
}

/* ANIMATION */
.flotte {
  display: inline-block;
  animation-duration: 1s;
  animation-name: flotte;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  animation-timing-function: ease-in-out;
}

@keyframes flotte {
  from { transform: translateY(0); }
  to { transform: translateY(-20%); }
}
